    001/*
    002    Licensed to the Apache Software Foundation (ASF) under one
    003    or more contributor license agreements.  See the NOTICE file
    004    distributed with this work for additional information
    005    regarding copyright ownership.  The ASF licenses this file
    006    to you under the Apache License, Version 2.0 (the
    007    "License"); you may not use this file except in compliance
    008    with the License.  You may obtain a copy of the License at
    009
    010       http://www.apache.org/licenses/LICENSE-2.0
    011
    012    Unless required by applicable law or agreed to in writing,
    013    software distributed under the License is distributed on an
    014    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    015    KIND, either express or implied.  See the License for the
    016    specific language governing permissions and limitations
    017    under the License.
    018 */
    019package org.apache.wiki.api.exceptions;
    020
    021
    022/**
    023 *  A generic Wiki exception, meant to carry key & args to construct i18n messages to show meaningful messages to
    024 *  end-user. Classes and/or JSPs on the web tier are responsible of constructing the appropiate message.
    025 *
    026 *  @since 2.9.1
    027 */
    028public class WikiI18nException extends WikiException {
    029
    030    private static final long serialVersionUID = -1412916016409728838L;
    031
    032    /** arguments needed to construct the i18n message associated with the exception. */
    033    protected final Object[] args;
    034
    035    /**
    036     *  Constructs an exception.
    037     *
    038     *  @param key the key corresponding to the i18n message in the exception.
    039     *  @param args arguments needed to construct the i18n message associated with the exception.
    040     */
    041    public WikiI18nException( final String key, final Object... args ) {
    042        super( key );
    043        this.args = args;
    044    }
    045
    046    /**
    047     * getter.
    048     *
    049     * @return arguments needed to construct the i18n message associated with the exception.
    050     */
    051    public Object[] getArgs() {
    052        return args;
    053    }
    054
    055}